Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::Locator Interface Reference

`#include <ImR_LocatorC.h>`

Inheritance diagram for ImplementationRepository::Locator:

[legend]
Collaboration diagram for ImplementationRepository::Locator:

[legend]
List of all members.

## Public Types
typedef Locator_ptr | _ptr_type
typedef Locator_var | _var_type
## Public Methods
void | activate_server_in_location (in string server, in Address location) raises (NotFound, CannotActivate)
void | remove_server_in_location (in string server, in Address location) raises (NotFound)
void | shutdown_server_in_location (in string server, in Address location) raises (NotFound)
void | server_is_shutting_down_in_location (in string server, in Address location) raises (NotFound)
unsigned long | register_activator (in string location, in Object object_ref) raises (AlreadyRegistered)
unsigned long | unregister_activator (in string location, in Object object_ref) raises (NotFound)
virtual void | activate_server_in_location (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual void | remove_server_in_location (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | shutdown_server_in_location (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_shutting_down_in_location (const char *server, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual CORBA::ULong | register_activator (const char *location, CORBA::Object_ptr object_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered )
virtual CORBA::ULong | unregister_activator (const char *location, CORBA::Object_ptr object_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
Locator_ptr | _duplicate (Locator_ptr obj)
Locator_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Locator_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Locator_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Static Public Attributes
int | _tao_class_id = 0
## Protected Methods
| Locator (int collocated=0)
virtual void | ImplementationRepository_Locator_setup_collocation (int collocated)
| Locator (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0)
virtual | ~Locator (void)
## Private Methods
| Locator (const Locator &)
void | operator= (const Locator &)
## Private Attributes
_TAO_Locator_Proxy_Broker * | the_TAO_Locator_Proxy_Broker_
## Friends
class | _TAO_Locator_Remote_Proxy_Impl
class | _TAO_Locator_ThruPOA_Proxy_Impl
class | _TAO_Locator_Direct_Proxy_Impl

## Member Typedef Documentation

typedef Locator_ptr ImplementationRepository::Locator::_ptr_type

| Reimplemented from ImplementationRepository::Administration.

typedef Locator_var ImplementationRepository::Locator::_var_type

| Reimplemented from ImplementationRepository::Administration.

## Constructor & Destructor Documentation

ImplementationRepository::Locator::Locator | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE ImplementationRepository::Locator::Locator | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0
| ) | `[protected]`

ImplementationRepository::Locator::~Locator | ( | void |  | ) | `[protected, virtual]`

ImplementationRepository::Locator::Locator | ( | const Locator & |  | ) | `[private]`

## Member Function Documentation

ImplementationRepository::Locator_ptr ImplementationRepository::Locator::_duplicate | ( | Locator_ptr | obj | ) | `[static]`

const char * ImplementationRepository::Locator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from ImplementationRepository::Administration.

virtual CORBA::Boolean ImplementationRepository::Locator::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from ImplementationRepository::Administration.

ImplementationRepository::Locator_ptr ImplementationRepository::Locator::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL | ) | `[static]`

| Reimplemented from ImplementationRepository::Administration.

Locator_ptr ImplementationRepository::Locator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from ImplementationRepository::Administration.

void ImplementationRepository::Locator::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Reimplemented from ImplementationRepository::Administration.

void * ImplementationRepository::Locator::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from ImplementationRepository::Administration.

ImplementationRepository::Locator_ptr ImplementationRepository::Locator::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from ImplementationRepository::Administration.

void ImplementationRepository::Locator::activate_server_in_location | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[virtual]`

void ImplementationRepository::Locator::activate_server_in_location | ( | in string | server,
|  | in Address | location
| ) | raises (NotFound, CannotActivate)

void ImplementationRepository::Locator::ImplementationRepository_Locator_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

void ImplementationRepository::Locator::operator= | ( | const Locator & |  | ) | `[private]`

CORBA::ULong ImplementationRepository::Locator::register_activator | ( | const char * | location,
|  | CORBA::Object_ptr object_ref | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered )`[virtual]`

unsigned long ImplementationRepository::Locator::register_activator | ( | in string | location,
|  | in Object | object_ref
| ) | raises (AlreadyRegistered)

void ImplementationRepository::Locator::remove_server_in_location | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Locator::remove_server_in_location | ( | in string | server,
|  | in Address | location
| ) | raises (NotFound)

void ImplementationRepository::Locator::server_is_shutting_down_in_location | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Locator::server_is_shutting_down_in_location | ( | in string | server,
|  | in Address | location
| ) | raises (NotFound)

void ImplementationRepository::Locator::shutdown_server_in_location | ( | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Locator::shutdown_server_in_location | ( | in string | server,
|  | in Address | location
| ) | raises (NotFound)

CORBA::ULong ImplementationRepository::Locator::unregister_activator | ( | const char * | location,
|  | CORBA::Object_ptr object_ref | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

unsigned long ImplementationRepository::Locator::unregister_activator | ( | in string | location,
|  | in Object | object_ref
| ) | raises (NotFound)

## Friends And Related Function Documentation

friend class _TAO_Locator_Direct_Proxy_Impl`[friend]`

friend class _TAO_Locator_Remote_Proxy_Impl`[friend]`

friend class _TAO_Locator_ThruPOA_Proxy_Impl`[friend]`

## Member Data Documentation

int ImplementationRepository::Locator::_tao_class_id = 0`[static]`

| Reimplemented from ImplementationRepository::Administration.

_TAO_Locator_Proxy_Broker* ImplementationRepository::Locator::the_TAO_Locator_Proxy_Broker_`[private]`

The documentation for this interface was generated from the following files:

- ImR_Locator.pidl
- ImR_LocatorC.h
- ImR_LocatorC.cpp
- ImR_LocatorC.i